Subject: bug#73303: 30.0.91; Native compiler repeatedly interrupts at random moments

From: Philip Kaludercic <[email-masked]>
Date: Tue, 17 Sep 2024 18:46:10 +0000

Eli Zaretskii <[email-masked]> writes:

>> 2. When the package system installs/updates a package, does it
>> natively compile the files at the same time as it byte compiles
>> them?
>
> I'm not sure, but I think it doesn't.  Philip, can you answer that?

My understanding: Native compilation build on byte-compilation, and all
packages are byte-compiled.  If `package-native-compile' is enabled
(which is not the case by default), then the package is immediately
compiled using native-compilation as well.  This applies both to
installing packages and upgrading them.  I don't know if the native
compiler will detect .elc files automatically and compile them at some
later point.

-- 
	Philip Kaludercic on siskin